Skip to content

Update payment labels

Request

Add or remove labels for a payment.

Security
Bearer
Path
paymentIdstring, (uuid)required

The unique ID that identifies the payment for which you want to update labels.

Example:7ea3399c-1234-5678-8d8f-d320ea406630
Bodyapplication/jsonrequired

Labels to add to or remove from the payment.

labelsToAddArray of strings, <= 10 items

Application-defined labels for grouping and categorizing payments (e.g., campaign IDs, workflow tags, or batch identifiers). Labels are optional and mutable; they can be added or removed over the payment’s lifetime.

labelsToRemoveArray of strings, <= 10 items

Application-defined labels for grouping and categorizing payments (e.g., campaign IDs, workflow tags, or batch identifiers). Labels are optional and mutable; they can be added or removed over the payment’s lifetime.

curl -i -X PATCH \
  https://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/payments/7ea3399c-1234-5678-8d8f-d320ea406630/labels \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "labelsToAdd": [
      "batchId=aaaaaaaa-1111-bbbb-abab-123412341234"
    ],
    "labelsToRemove": [
      "batchId=aaaaaaaa-1111-bbbb-abab-123412341234"
    ]
  }'

Responses

Successfully updated the payment labels.

Bodyapplication/json
labelsArray of strings, <= 10 itemsrequired

Application-defined labels for grouping and categorizing payments (e.g., campaign IDs, workflow tags, or batch identifiers). Labels are optional and mutable; they can be added or removed over the payment’s lifetime.

Response
{ "labels": [ "batchId=aaaaaaaa-1111-bbbb-abab-123412341234" ] }